ChangeSet 1.1722.97.47, 2004/06/07 16:55:44-07:00, stern@rowland.harvard.edu

[PATCH] USB: unusual_devs.h update

Given the problems that Dan Scholnik has reported, we should combine the
unusual_devs.h entries for the Casio QV cameras into one.  The new
NEED_OVERRIDE flag will prevent complaints about unnecessary overrides,
and Dan says the same subclass and protocol values should work for all the
cameras.  If they don't we'll hear about it soon enough!


On Tue, 1 Jun 2004, Dan Scholnik wrote:
> On Tue, 2004-06-01 at 14:14, Alan Stern wrote:
> > On Tue, 1 Jun 2004, Dan Scholnik wrote:
> >
> > > Up until the 2.6 kernels, there was one entry for all the QV cameras
> > > with both US_SC_8070 and US_PR_CB that I think seemed to work fine for
> > > everyone.  As far as I know the only problem was all the folks emailing
> > > the log entry stating that the Casio entry wasn't needed.  So, you could
> > > revert back to that, or revert back to the 2.6.3ish version (pre-as190)
> > > that had the overrides just for product IDs 1001-9009.  I'm not really
> > > an expert on Casio's cameras, I'm afraid, just the one model I own which
> > > is 4-5 years old now.
> > >
> > > I'll be happy to prepare a patch any way you choose to go.
> >
> > How does this work for you?
> >
> > Alan Stern
>
> Works fine for me; that's I think exactly how it was from the beginning
> until 2.6 and the later 2.4 kernels when all the changes were made.
> Just cross your fingers that it doesn't somehow break newer Casios, as
> it would seem every camera they ever made falls under that entry.



Signed-off-by: Alan Stern <stern@rowland.harvard.edu>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/storage/unusual_devs.h |   12 +++---------
 1 files changed, 3 insertions(+), 9 deletions(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri Jun 18 11:00:16 2004
+++ b/drivers/usb/storage/unusual_devs.h	Fri Jun 18 11:00:16 2004
@@ -634,19 +634,13 @@
  * - Some cameras with idProduct=0x1001 and bcdDevice=0x1000 have
  *   bInterfaceProtocol=0x00 (US_PR_CBI) while others have 0x01 (US_PR_CB).
  *   So don't remove the US_PR_CB override!
+ * - Cameras with bcdDevice=0x9009 require the US_SC_8070 override.
  */
-UNUSUAL_DEV( 0x07cf, 0x1001, 0x1000, 0x9009,
+UNUSUAL_DEV( 0x07cf, 0x1001, 0x1000, 0x9999,
 		"Casio",
 		"QV DigitalCamera",
-		US_SC_DEVICE, US_PR_CB, NULL,
+		US_SC_8070, US_PR_CB, NULL,
 		US_FL_NEED_OVERRIDE | US_FL_FIX_INQUIRY ),
-
-/* Later Casio cameras apparently tell the truth */
-UNUSUAL_DEV( 0x07cf, 0x1001, 0x9010, 0x9999,
-		"Casio",
-		"QV DigitalCamera",
-		US_SC_DEVICE, US_PR_DEVICE, NULL,
-		US_FL_FIX_INQUIRY ),
 
 /* Submitted by Hartmut Wahl <hwahl@hwahl.de>*/
 UNUSUAL_DEV( 0x0839, 0x000a, 0x0001, 0x0001,
